Retrieve Option Default Visibility
get
Path Parameters
optionIdstringrequired
Option ID
Response
application/json
Response
application/json
Successful response
defaultVisibilityboolean
get/api/1/content-access/options/{optionId}/visibility
Authentication
UnauthenticatedPath Parameters
application/json
Modify Option Default Visibility
put
Path Parameters
optionIdstringrequired
Option ID
Body
application/json
Body
application/json
defaultVisibilityboolean
Response
application/json
Response
application/json
Successful response
defaultVisibilityboolean
put/api/1/content-access/options/{optionId}/visibility
Authentication
UnauthenticatedPath Parameters
Body
{}
application/json
ApiContentAccessMetapropertiesRequest
objectlevelstring
Example:metaproperty.hide
principalsarray[object]
Show Child Parameters
Example
ApiContentAccessMetapropertiesRequest1
objectcontentAccessIdsarray[string]
Example
ApiContentAccessMetapropertiesResponse
objectcontentIdstring
Example:00000000-0000-0000-0000-000000000000
contentTypestring
Example:metaproperty
idstring
Example:00000000-0000-0000-0000-000000000000
levelstring
Example:metaproperty.hide
principalExtraInformationobject
Show Child Parameters
principalIdstring
Example:00000000-0000-0000-0000-000000000000
principalNamestring
Example:User full name
principalTypestring
Example:user
ruleTypestring
Example:allow
Example